Bug 9028 - ping -c doesn't work if host is down
Summary: ping -c doesn't work if host is down
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netkit-base   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-31 22:06 UTC by Ion Badulescu
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-01 13:55:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ion Badulescu 2000-01-31 22:06:40 UTC
ping can no longer be used to determine if a host is down -- it never
returns and keeps trying to sends packets to that host, even if the -c
(packets to send) and -w (wait time) options are being used.

It used to work in RH52, it stopped working in RH60 and the introduction of
the -w option in RH61 didn't help.

Comment 1 Jeff Johnson 2000-02-01 13:55:59 UTC
"ping -w 1 unreachable_host" should work just fine in the iputils
package from Raw Hide. Otherwise, please repopen this bug with a more
specific test case.


Note You need to log in before you can comment on or make changes to this bug.